#ifndef __STRING_UTIL_H__
#define __STRING_UTIL_H__

#include "Util.h"

void Format(string& strBuff, const char *format, ...);

void Format(wstring& strBuff, const WCHAR *format, ...);

void Replace(string& strBuff, const string strOld, const string strNew);

void Replace(wstring& strBuff, const wstring strOld, const wstring strNew);

void WtoA(wstring strIn, string& strOut);

void AtoW(string strIn, wstring& strOut);

BOOL Separate(string strIn, string strSep, string& strLeft, string& strRight);

BOOL Separate(wstring strIn, wstring strSep, wstring& strLeft, wstring& strRight);

void ChkFolderPath(string& strPath);

void ChkFolderPath(wstring& strPath);

#endif
